nvme_mi_mi_read_mi_data_port(2)

NAME
nvme_mi_mi_read_mi_data_port - Perform a Read MI Data Structure command, retrieving port data.

SYNOPSIS
int nvme_mi_mi_read_mi_data_port (nvme_mi_ep_t ep , __u8 portid , struct nvme_mi_read_port_info *p );

ARGUMENTS

ep  endpoint for MI communication

portid
    id of port data to retrieve

p   port information to populate

DESCRIPTION
Retrieves the Port information, for the specified port ID. The subsystem data (from nvme_mi_mi_read_mi_data_subsys) nmp field contains the allowed range of port IDs.

See struct nvme_mi_read_port_info.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise..